using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Fiesta.Networking.Encryption
{
	public interface IEncryption
	{
		byte[] Encrypt(byte[] data);
		byte[] Encrypt(byte[] data, Int32 offset, Int32 count);

		byte[] Decrypt(byte[] data);
		byte[] Decrypt(byte[] data, Int32 offset, Int32 count);
	}
}